# Status

After the <<glossary:end user>> has returned to you via your `merchant_return_url`, you retrieve the `transaction_id` from the `trxid` query parameter and the `entrance_code` from the `ec` query parameter appended to your `merchant_return_url`.

Use the `entrance_code` to rejoin your consumer to the state you have kept. Now retrieve the `merchant_reference` which you received in the transaction call and send these three elements to make a status request.

The status must be requested within 30 seconds after the user is redirected from the bank to the merchant's return URL, otherwise the response will contain no user data for successful transactions. In this case, the response will include a `notice` and `notice_code` field to indicate this.

> 📘
>
> Personal information will only be returned once by this call. If you need the information a second time, you will have to make a new <<glossary:iDIN>> request for the consumer.

## Request

```
POST https://api.cm.com/idin/v1.0/status
```

```json
{
  "merchant_token": "3c01abeb-b031-4fea-9f2d-c55c283cd78e",
  "transaction_id": "string",
  "merchant_reference": "string"
}
```

### Parameters

| Parameter           | Description                                                                                                                                        |
| :------------------ | :------------------------------------------------------------------------------------------------------------------------------------------------- |
| merchant\_token     | A GUID string that is unique and private to you as a merchant. Do not share this key, keep it safe. Example `3c01abeb-b031-4fea-9f2d-c55c283cd78e` |
| transaction\_id     | The public identifier of the transaction.                                                                                                          |
| merchant\_reference | The private reference of the transaction as provided by the Status response.                                                                       |

## Response

```json
{
  "status": "success",
  "transaction_id": "3645651845961623",
  "transaction_reference": "7defa5c6-7651-45cd-9016-f9027dc4dda9",
  "issuer_id": "INGBNL2A",
  "bin": "NLINGB3x4u89498qe4tqjvdaj0",
  "name": {
    "gender": "male",
    "initials": "A",
    "last_name": "Dijk",
    "last_name_prefix": "van"
  },
  "address": {
    "street": "Dijklaan",
    "house_number": 1,
    "house_number_suffix": "b",
    "postal_code": "0000AA",
    "city": "Amsterdam",
    "country": "NL"
  },
  "age": {
    "date_of_birth": "1970-01-01",
    "18y_or_older": true
  },
  "telephone_number": "+31612345678",
  "email_address": "no_reply@cm.nl"
}
```

### Parameters

> 📘
>
> Only those values that are available will be represented in the response.

| Parameter              | Description                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| :--------------------- | :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| transaction\_reference | The optional custom reference you provided when creating the transaction. If not provided, will return null.                                                                                                                                                                                                                                                                                                                                        |
| status                 | Either `open`, `success`, `cancelled`, `failure`, `expired`. If the status is `open`, then the information was not yet available. Please try again after a few more seconds. If the status is `success` then you can expect the requested information to be present. Please note that personal information will only be returned on the first occurrence of a `success` status. A status of `cancelled` means that the user has cancelled the flow. |
| bin                    | When identity was requested, this will be a consistent identifier for this user. If identity was not requested, then this will differ every single time. `/[a-zA-Z]{6,6}.*/` Up to 256 characters. You should store this identifier, as, in the case of a dispute, it will be needed.                                                                                                                                                               |
| gender                 | male, female or unspecified                                                                                                                                                                                                                                                                                                                                                                                                                         |
| initials               | Initials of the user. Up to 20 characters.                                                                                                                                                                                                                                                                                                                                                                                                          |
| last\_name             | Last name of the user. Up to 200 characters                                                                                                                                                                                                                                                                                                                                                                                                         |
| last\_name\_prefix     | Name prefix of the user. Up to 10 characters.                                                                                                                                                                                                                                                                                                                                                                                                       |
| street                 | Up to 43 characters.                                                                                                                                                                                                                                                                                                                                                                                                                                |
| house\_number          | `/[0-9]{1,5}/`                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| house\_number\_suffix  | Up to 6 characters.                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| postal\_code           | `/[0-9]{4}[a-zA-Z]{2}/`                                                                                                                                                                                                                                                                                                                                                                                                                             |
| city                   | Up to 24 characters.                                                                                                                                                                                                                                                                                                                                                                                                                                |
| country                | 2 letter identifier of the country.                                                                                                                                                                                                                                                                                                                                                                                                                 |
| date\_of\_birth        | 1970-01-01                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| 18y\_or\_older         | Is the current user 18 years or older at this moment. Boolean                                                                                                                                                                                                                                                                                                                                                                                       |
| telephone\_number      | The phone number is unverified. `/[0-9 ()+-]{1,20}/`                                                                                                                                                                                                                                                                                                                                                                                                |
| email\_address         | The email address is unverified. Up to 256 characters.                                                                                                                                                                                                                                                                                                                                                                                              |

The following parameters are returned for an expired successful transaction.

| Parameter    | Description                                                                       |
| :----------- | :-------------------------------------------------------------------------------- |
| notice       | The transaction was successful, but the data was not retrieved within 30 seconds. |
| notice\_code | 2000                                                                              |

### Response codes

| HTTP Status | Description                                   |
| :---------- | :-------------------------------------------- |
| 200         | Successful request.                           |
| 400         | Invalid request. See message for details.     |
| 403         | Authorization required.                       |
| 404         | The transaction could not be found.           |
| 500         | Server error. See message for details.        |
| 503         | Service unavailable. See message for details. |